# content.Class class

This overwrites the docstring for Class.

This is detailed class docs. Here I also hate how it needs to be indented.

## Class methods

def class_method(b)
  This function is a class method

## Static methods

def static_method(cls, a)
  This function is a static method

## Methods

def method(self)
  This overwrites the docstring for method(), but doesn't add any detailed block.
def method_param_docs(self, a, b)
  This method gets its params except self documented
def method_param_exception_return_docs(self, a, b)
  This one documents params and raised exceptions
def method_with_details(self)

## Special methods

def __init__(self)
  A dunder method

## Properties

a_property get
  This overwrites the docstring for a_property, but doesn't add any detailed block.
a_property_with_details get
  This overwrites the docstring for a_property_with_details.
annotated_property: float get
  This is an annotated property
property_exception_docs get
  This one documents raised exceptions in an (otherwise unneeded) detail view

## Data

DATA_WITH_DETAILS: str = 'this blows'

## Method documentation

### def content.Class.class_method(b) classmethod

This function is a class method

The classmethod should be shown here.

### def content.Class.static_method(cls, a) staticmethod

This function is a static method

The staticmethod should be shown here.

### def content.Class.method_param_docs(self, a, b)

This method gets its params except self documented

Parameters
a | The first parameter
b | The second parameter

The `self` isn't documented and thus also not included in the list.

### def content.Class.method_param_exception_return_docs(self, a, b)

This one documents params and raised exceptions

Parameters
a | The first parameter
b | The second parameter
Exceptions
AttributeError | If you do bad things to it
Returns | If you don't do bad things to it

### def content.Class.method_with_details(self)

This one has a detailed block without any summary.

### def content.Class.__init__(self)

A dunder method

A dunder method shown in the detailed view.

## Property documentation

### content.Class.a_property_with_details get

This overwrites the docstring for a_property_with_details.

Detailed property docs.

### content.Class.annotated_property: float get

This is an annotated property

Annotated property, using summary from the docstring.

### content.Class.property_exception_docs get

This one documents raised exceptions in an (otherwise unneeded) detail view

Exceptions
AttributeError | If you do bad things to it

## Data documentation

### content.Class.DATA_WITH_DETAILS: str

Detailed docs for DATA_WITH_DETAILS in a class to check rendering.